Subject: [quicwg/base-drafts] e0e024: Out of order relative to other ack-eliciting packets

From: Jana Iyengar <[email-masked]>
Date: Tue, 01 Sep 2020 12:48:46 -0700

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: e0e024dd0456160102bdf39314417ebd048361ab
      https://github.com/quicwg/base-drafts/commit/e0e024dd0456160102bdf39314417ebd048361ab
  Author: ianswett <[email-masked]>
  Date:   2020-08-16 (Sun, 16 Aug 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Out of order relative to other ack-eliciting packets

I believe this was the existing intent, so not filing an issue, people can feel free to disagree.

The case I'm concerned about is an ACK arrives with PN 10, then PN 9 arrives.  I do not believe PN 9 should not be considered 'out-of-order' and trigger an immediate ACK.  Recovery is designed with this case in mind, but when re-reading this text, I thought it was unclear.

  Commit: 3ca0b89c8bd6caddc68559084fbfbd1095899436
      https://github.com/quicwg/base-drafts/commit/3ca0b89c8bd6caddc68559084fbfbd1095899436
  Author: ianswett <[email-masked]>
  Date:   2020-08-17 (Mon, 17 Aug 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 5cdb166db5f2d9ccc5745129511d91a12b334937
      https://github.com/quicwg/base-drafts/commit/5cdb166db5f2d9ccc5745129511d91a12b334937
  Author: ianswett <[email-masked]>
  Date:   2020-08-17 (Mon, 17 Aug 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Martin's suggestion

I tweaked it a bit, but not much.

  Commit: ea6359f86f09fce5b206fe27f6ff5753b9b1ccd8
      https://github.com/quicwg/base-drafts/commit/ea6359f86f09fce5b206fe27f6ff5753b9b1ccd8
  Author: ianswett <[email-masked]>
  Date:   2020-08-17 (Mon, 17 Aug 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: b89274cb3f88af6986917455310fa0438649d5b1
      https://github.com/quicwg/base-drafts/commit/b89274cb3f88af6986917455310fa0438649d5b1
  Author: Mike Bishop <[email-masked]>
  Date:   2020-08-17 (Mon, 17 Aug 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Line break to enable bullets

  Commit: a881299b06fe25abaee03fb192693583b4f6af93
      https://github.com/quicwg/base-drafts/commit/a881299b06fe25abaee03fb192693583b4f6af93
  Author: ianswett <[email-masked]>
  Date:   2020-08-18 (Tue, 18 Aug 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: d7a4c50c6b159ba69a75f6ef136c7de09e702b9c
      https://github.com/quicwg/base-drafts/commit/d7a4c50c6b159ba69a75f6ef136c7de09e702b9c
  Author: ianswett <[email-masked]>
  Date:   2020-08-18 (Tue, 18 Aug 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: c467dba1750a3bece8cae6ba082bc464fe0f5026
      https://github.com/quicwg/base-drafts/commit/c467dba1750a3bece8cae6ba082bc464fe0f5026
  Author: ianswett <[email-masked]>
  Date:   2020-08-18 (Tue, 18 Aug 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove out-of-order definition

  Commit: b7b431b4c364e0751ab0360eb041717e78e1ecad
      https://github.com/quicwg/base-drafts/commit/b7b431b4c364e0751ab0360eb041717e78e1ecad
  Author: ianswett <[email-masked]>
  Date:   2020-08-18 (Tue, 18 Aug 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove redundant SHOULD NOT

  Commit: 877ec755036791e4944c303b9ec862281823ba92
      https://github.com/quicwg/base-drafts/commit/877ec755036791e4944c303b9ec862281823ba92
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-09-01 (Tue, 01 Sep 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4000 from quicwg/ianswett-out-of-order-ack

Out of order relative to other ack-eliciting packets

Compare: https://github.com/quicwg/base-drafts/compare/ad3605bf17cf...877ec7550367